var pingbackground = function(str) {
	chrome.runtime.sendMessage({from: 'content.js', to: 'background.js', subject: 'ping', url: decodeURI(location.href), content: str});
}


// BEIM LADEN AUSFÜHREN
document.addEventListener('DOMContentLoaded', function() {
	// NACHRICHT AN background.js
	chrome.runtime.sendMessage({from: 'content.js', subject: 'Webseite geladen', url: location.href});
});


// LAUSCHEN NACH NACHRICHTEN
chrome.runtime.onMessage.addListener(function (msg, sender, response) {
	if((msg.from === 'popup.js') && (msg.subject == 'öffne URL!')) {
		window.open(msg.url,msg.target);
	} else if((msg.from === 'background.js') && (msg.subject == 'öffne URL!')) {
		pingbackground('URL öffnen.');
		window.open(msg.url,msg.target);
	} else if ((msg.from === 'popup.js') && (msg.subject === 'Impressum finden')) {
		console.log('MELDUNG vom JumpToImpressum-Plugin:');
		console.log('Html-Elemente auf {'+location.href+'} werden nach Impressum durchsucht.');
		var ergebnis = {found: false, event: null};
		tagspriorities.forEach(function(tag) {
			if(!ergebnis.found) ergebnis = FKT_impressum(tag);
		});
		if(ergebnis.found) {
			// Ergebnis ist ein Click-Event von einem Element, dessen TextContent
			// „Impressum“ (oder ein vom User definiertes akzeptables Muster) zeigt.
			// Wir vertrauen, dass beim Clicken eines solchen Elementes
			// der Enduser auf das Impressum kommt. Das heißt, wir simulieren genau das,
			// was erfolgt, wenn man auf ein ihm (sichtbares) HTML-Element klickt.
			var f = ergebnis.match.fkt;
			var node = ergebnis.match.el;
			var grund = ergebnis.grund;
			chrome.runtime.sendMessage({from: 'content.js', subject: 'Element gefunden', url: location.href, content: grund});
			f.call(node);
			console.log('MELDUNG vom JumpToImpressum-Plugin:');
			console.log(grund);
		} else {
			console.log('MELDUNG vom JumpToImpressum-Plugin:');
			console.log('Kein passendes html-Element wurde gefunden.');
		}
		// Message zurück an POPUP.js senden:
		response(ergebnis.found);
	} else if ((msg.from === 'background.js') && (msg.subject == 'Element gefunden')) {
		var grund = msg.content;
		var url = msg.url;
		if(!(url == location.href)) {
			console.log('MELDUNG vom JumpToImpressum-Plugin:');
			console.log(grund);
		}
	}
});