// GLOBALE VARIABLE
var inhaltzustand = false;

// BEIM LADEN AUSFÜHREN
document.addEventListener('DOMContentLoaded', function() {
	// Verlinke Popup-Elemente
	document.getElementsByName('UI#popup#btn#unterseite').forEach(function(el) {
		el.onclick = function(event) {handler.unterseite(event,event.target.getAttribute('wert'));};
	});

	// Führe einmalig aus:
	window.addEventListener('DOMContentLoaded', function () {
		chrome.tabs.query({active: true, currentWindow: true}, function (tabs) {
			chrome.tabs.sendMessage(tabs[0].id,{from: 'popup.js', subject: 'Impressum finden'}, response.impressum);
		});
	});
});


// EVENT HANDLER
var handler = {
	'unterseite': function(event,url) {
		if(event.metaKey || event.ctrlKey) {
			var target = '_blank';
		} else {
			var target = '_self';
		}
		response.unterseite(url,target);
	},
};


// RESPONSE-FUNKTIONEN
var response = {
	'unterseite': function(url,target) {
		chrome.tabs.query({active: true, currentWindow: true}, function (tabs) {
			chrome.tabs.sendMessage(tabs[0].id, {from: 'popup.js', to: 'content.js', subject: 'öffne URL!', url:url, target: target});
		});
	},
	impressum: function(found) {
		var node = document.getElementById('div#Impressum#Meldung#text');
		if(found){
			//alert('Impressum gefunden.');
			node.style.color = 'black';
			node.textContent = 'Impressum gefunden.';
			setTimeout(function() {window.close();},500);
		} else {
			//alert('Kein Impressum gefunden.');
			node.style.color = 'red';
			node.textContent = 'Kein Impressum gefunden.';
			setTimeout(function() {window.close();},500);
		}
	},
}