// GLOBALE VARIABLE
const matches = [
	/(^(\s)*)Impressum((\s)*$)/i,	// [leer]Impressum[leer]
	/(^(\s)*)Impressum/i,		// [leer]Impressum[*]
	/(^(\s)*)Imprint((\s)*$)/i,	// [leer]Imprint[leer]
	/(^(\s)*)Imprint/i,	// [leer]Imprint[*]
	/(^(\s)*)Über((\s)+uns(\s)*$)/i, // [leer]Über uns[leer]
	/(^(\s)*)Über((\s)+uns)/i, // z. B. Über unserer Shop
	/(^(\s)*)Über((\s)+mich(\s)*$)/i,	// [leer]Über mich[leer]
	/(^(\s)*)About((\s)*$)/i, // [leer]About[leer]
	/(^(\s)*)About(\s+)/i, // [leer]About[ etwas]
	/(^(\s)*)Kontakt((\s)*$)/i,	// [leer]Kontakt[leer]
	/(^(\s)*)Contact((\s)*$)/i, // [leer]Contact us[leer]
	/(^(\s)*)Contact((\s)+us(\s)*$)/i, // [leer]Contact us[leer]
	/(^(\s)*)Contact((\s)+me(\s)*$)/i,	// [leer]Contact me[leer]
];
// Durchsuche Elemente in dieser Reihenfolge ('*' = alle --- vermeide, denn da kommt 'script', 'head', usw. raus!!):
const tagspriorities = ['a','input','button','span','p','td','li','div'];

// User kann schalten:
// true: nur sichtbare Elemente werden mit einbezogen.
// fallse: auch unsichtbare Elemente werden mit einbezogen.
// Manchmal sind Elemente nur unsichtbar wegen Menüs.
// Deswegen ist „false“ zu empfehlen.
const nursichtbar = false;